:-include(appendixC).


/*E. Tests for G&M2000*/
test(all):-
	test('z11'),
	test('z12'),
	test('z13'),
	test('z14'),
	test('z15'),
	test('z16'),
	test('z17'),
	test('r11'),
	test('r12'),
	test('r13'),
	test('r21'),
	test('r22'),
	test('r31'),
	test('32z3'),
	test('32z4'),
	test('32z5'),
	test('32z6'),
	test('32z7'),
	test('32r11'),
	test('32r12'),
	test('32r13'),
	test('32r21'),
	test('32r22'),
	test('22z1'),
	test('22z2'),
	test('22z3'),
	test('22z4'),
	test('22z5'),
	test('22z6'),
	test('22z7'),
	test('22z8'),
	test('22r11'),
	test('22z11'),
	test('22r12'),
	test('22z12'),
	test('22r13'),
	test('22z13'),
	test('22r21'),
	test('22z21'),
	test('22r22'),
	test('22z22').
/*E.1. Testing Format Change (Z.1.)*/
test('z11'):-rea_role('customer0001',is_a,buyer,to,'me').
test('z12'):-rea_role('customer0002',is_a,buyer,to,'me').
test('z13'):-rea_role('sale0001',is_a,sale,to,'me').
test('z14'):-rea_role('sale0002',is_a,sale,to,'me').
test('z15'):-rea_role('sale0003',is_a,sale,to,'me').
test('z16'):-rea_role('cash_receipt0001',is_a,cash-receipt,to,'me').
test('z17'):-rea_role('cash_receipt0002',is_a,cash-receipt,to,'me').
test('r11'):-rea_relator(['sale0001','customer0001'],is_a,to,to,'me').
test('r12'):-rea_relator(['sale0002','customer0001'],is_a,to,to,'me').
test('r13'):-rea_relator(['sale0003','customer0002'],is_a,to,to,'me').
test('r21'):-rea_relator(['cash_receipt0001','customer0001'],is_a,from,to,'me').
test('r22'):-rea_relator(['cash_receipt0002','customer0001'],is_a,from,to,'me').
test('r31'):-rea_relator(['cash_receipt0001','sale0001'],is_a,transfer-duality,to,'me').

/*E.3. Testing the Opposing View*/
/*E.3.2. Semantics of the Opposing View (3.2)*/
test('32z3'):-dependent_role_event('sale0001',is_a,purchase,to,'customer0001').
test('32z4'):-dependent_role_event('sale0002',is_a,purchase,to,'customer0001').
test('32z5'):-dependent_role_event('sale0003',is_a,purchase,to,'customer0002').
test('32z6'):-dependent_role_event('cash_receipt0001',is_a,cash-disbursement,to,'customer0001').
test('32z7'):-dependent_role_event('cash_receipt0002',is_a,cash-disbursement,to,'customer0001').
test('32r11'):-oebto_relator(['sale0001','me'],is_a,from,to,'customer0001').
test('32r12'):-oebto_relator(['sale0002','me'],is_a,from,to,'customer0001').
test('32r13'):-oebto_relator(['sale0003','me'],is_a,from,to,'customer0002').
test('32r21'):-oebto_relator(['cash_receipt0001','me'],is_a,to,to,'customer0001').
test('32r22'):-oebto_relator(['cash_receipt0002','me'],is_a,to,to,'customer0001').

/*E.4. Testing the Independent View (2.2)*/
test('22z1'):-oebto_role('customer0001',is_a,trading-partner,to,'0000').
test('22z2'):-oebto_role('customer0002',is_a,trading-partner,to,'0000').
test('22z3'):-oebto_role('me',is_a,trading-partner,to,'0000').

test('22z4'):-oebto_role('sale0001',is_a,delivery,to,'0000').
test('22z5'):-oebto_role('sale0002',is_a,delivery,to,'0000').
test('22z6'):-oebto_role('sale0003',is_a,delivery,to,'0000').
test('22z7'):-oebto_role('cash_receipt0001',is_a,payment,to,'0000').
test('22z8'):-oebto_role('cash_receipt0002',is_a,payment,to,'0000').

test('22r11'):-oebto_relator(['sale0001','me'],is_a,from,to,'0000').
test('22z11'):-oebto_relator(['sale0001','customer0001'],is_a,to,to,'0000').
test('22r12'):-oebto_relator(['sale0002','me'],is_a,from,to,'0000').
test('22z12'):-oebto_relator(['sale0002','customer0001'],is_a,to,to,'0000').
test('22r13'):-oebto_relator(['sale0003','me'],is_a,from,to,'0000').
test('22z13'):-oebto_relator(['sale0003','customer0002'],is_a,to,to,'0000').
test('22r21'):-oebto_relator(['cash_receipt0001','me'],is_a,to,to,'0000').
test('22z21'):-oebto_relator(['cash_receipt0001','customer0001'],is_a,from,to,'0000').
test('22r22'):-oebto_relator(['cash_receipt0002','me'],is_a,to,to,'0000').
test('22z22'):-oebto_relator(['cash_receipt0002','customer0001'],is_a,from,to,'0000').





























