:-include(appendixA).

/*B.1. Example Data (fig. 3)*/
/*B.1.1. economic-agent 104's Data*/
/*B.1.1.1. economic-resources*/
/*B.1.1.1.1. Products*/
/*B.1.1.1.1.1. Material*/
rea_role(101,is_a,product,to,104).
/*B.1.1.1.1.2. Product*/
rea_role(112,is_a,product,to,104).
/*B.1.1.1.2. Cash*/
rea_role(114,is_a,cash,to,104).
rea_role(114,is_a,cash,to,104).
/*B.1.1.2. economic-events*/
/*B.1.1.2.1. Purchase*/
rea_role(102,is_a,purchase,to,104).
/*B.1.1.2.2. Material Issue*/
rea_role(105,is_a,consume,to,104).
/*B.1.1.2.2. Material Receipt*/
rea_role(110,is_a,produce,to,104).
/*B.1.1.2.3. Sale*/
rea_role(115,is_a,sale,to,104).
/*B.1.1.2.4. Cash Receipt*/
rea_role(117,is_a,cash-receipt,to,104).
/*B.1.1.2.6. Cash Issue*/
rea_role(113,is_a,cash-disbursement,to,104).
/*B.1.1.3. economic-agents*/
/*B.1.1.3.1. Vendor*/
rea_role(106,is_a,seller,to,104).
/*B.1.1.3.2. Customer*/
rea_role(107,is_a,buyer,to,104).


/*B.1.2. Relator Declarations*/
rea_relator([102,106],is_a,from,to,104).
rea_relator([113,106],is_a,to,to,104).
rea_relator([115,107],is_a,to,to,104).
rea_relator([117,107],is_a,from,to,104).
/*rea_relator([105,104],is_a,inside-party,to,104).
rea_relator([110,104],is_a,inside-party,to,104).*/
rea_relator([101,102],is_a,inflow,to,104).
rea_relator([112,110],is_a,inflow,to,104).
rea_relator([114,117],is_a,inflow,to,104).
rea_relator([101,105],is_a,outflow,to,104).
rea_relator([112,115],is_a,outflow,to,104).
rea_relator([114,113],is_a,outflow,to,104).
rea_relator([102,113],is_a,transfer-duality,to,104).
rea_relator([117,115],is_a,transfer-duality,to,104).
rea_relator([110,105],is_a,transformation-duality,to,104).

/*B.1.3. Defining Data Access Rights*/
access(104,to,104,data).
/*B.1.3.1. Trading Partners*/
access(106,to,104,data).
access(107,to,104,data).
/*B.1.3.2. Independent Third Party*/
access(000,to,104,data).

/*B.2.economic-agent 106's Data*/
/*B.2.1.3.Agents*/
/*B.2.1.3.2. Customer*/
rea_role(104,is_a,buyer,to,106).
/*B.2.3.2. Independent Third Party*/
access(000,to,106,data).
access(106,to,106,data).

/*B.3.economic-agent 106's Data*/
/*B.3.1.3.Agents*/
/*B.3.1.3.1. Vendor*/
rea_role(104,is_a,seller,to,107).
/*B.3.3.2. Independent Third Party*/
access(000,to,107,data).
access(107,to,107,data).

